Package org.codehaus.classworlds

## Class ClassRealmReverseAdapter

- java.lang.Object
- - java.lang.ClassLoader
  - - java.security.SecureClassLoader
    - - java.net.URLClassLoader
      - - org.codehaus.plexus.classworlds.realm.ClassRealm
        - - org.codehaus.classworlds.ClassRealmReverseAdapter

All Implemented Interfaces:
  `java.io.Closeable`, `java.lang.AutoCloseable`

    @Deprecated
    public class ClassRealmReverseAdapter
    extends ClassRealm

Deprecated.
A reverse adapter for ClassRealms

Author:
  Andrew Williams

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`void` `addURL​(java.net.URL constituent)` Deprecated.
`ClassRealm` `createChildRealm​(java.lang.String id)` Deprecated.
`void` `display()` Deprecated.
`boolean` `equals​(java.lang.Object o)` Deprecated.
`java.util.Enumeration` `findResources​(java.lang.String name)` Deprecated.
`java.lang.ClassLoader` `getClassLoader()` Deprecated.
`java.lang.String` `getId()` Deprecated.
`static ClassRealmReverseAdapter` `getInstance​(ClassRealm oldRealm)` Deprecated.
`ClassRealm` `getParentRealm()` Deprecated.
`java.net.URL` `getResource​(java.lang.String name)` Deprecated.
`java.io.InputStream` `getResourceAsStream​(java.lang.String name)` Deprecated.
`java.net.URL[]` `getURLs()` Deprecated.
`ClassWorld` `getWorld()` Deprecated.
`void` `importFrom​(java.lang.String realmId, java.lang.String pkgName)` Deprecated.
`java.lang.Class` `loadClass​(java.lang.String name)` Deprecated.
`ClassRealm` `locateSourceRealm​(java.lang.String className)` Deprecated.
`void` `setParentRealm​(ClassRealm classRealm)` Deprecated.

### Methods inherited from class org.codehaus.plexus.classworlds.realm.ClassRealm

`display, findClass, findClass, findResource, getClassLoadingLock, getImportClassLoader, getImportRealms, getParentClassLoader, getResources, getStrategy, importFrom, importFromParent, loadClass, loadClassFromImport, loadClassFromParent, loadClassFromSelf, loadResourceFromImport, loadResourceFromParent, loadResourceFromSelf, loadResourcesFromImport, loadResourcesFromParent, loadResourcesFromSelf, setParentClassLoader, toString`

### Methods inherited from class java.net.URLClassLoader

`close, definePackage, getPermissions, newInstance, newInstance`

### Methods inherited from class java.security.SecureClassLoader

`defineClass, defineClass`

### Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findResource, findSystemClass, getDefinedPackage, getDefinedPackages, getName, getPackage, getPackages, getParent, getPlatformClassLoader, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, getUnnamedModule, isRegisteredAsParallelCapable, registerAsParallelCapable, resolveClass, resources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getInstance

    public static ClassRealmReverseAdapter getInstance​(ClassRealm oldRealm)

Deprecated.

#### getId

    public java.lang.String getId()

Deprecated.

Overrides:
  `getId` in class `ClassRealm`

#### getWorld

    public ClassWorld getWorld()

Deprecated.

Overrides:
  `getWorld` in class `ClassRealm`

#### importFrom

    public void importFrom​(java.lang.String realmId,
                           java.lang.String pkgName)
                    throws NoSuchRealmException

Deprecated.

Overrides:
  `importFrom` in class `ClassRealm`
Throws:
  `NoSuchRealmException`

#### addURL

    public void addURL​(java.net.URL constituent)

Deprecated.

Overrides:
  `addURL` in class `ClassRealm`

#### locateSourceRealm

    public ClassRealm locateSourceRealm​(java.lang.String className)

Deprecated.

#### setParentRealm

    public void setParentRealm​(ClassRealm classRealm)

Deprecated.

Overrides:
  `setParentRealm` in class `ClassRealm`

#### createChildRealm

    public ClassRealm createChildRealm​(java.lang.String id)
                                throws DuplicateRealmException

Deprecated.

Overrides:
  `createChildRealm` in class `ClassRealm`
Throws:
  `DuplicateRealmException`

#### getClassLoader

    public java.lang.ClassLoader getClassLoader()

Deprecated.

#### getParentRealm

    public ClassRealm getParentRealm()

Deprecated.

Overrides:
  `getParentRealm` in class `ClassRealm`

#### getURLs

    public java.net.URL[] getURLs()

Deprecated.

Overrides:
  `getURLs` in class `java.net.URLClassLoader`

#### loadClass

    public java.lang.Class loadClass​(java.lang.String name)
                              throws java.lang.ClassNotFoundException

Deprecated.

Overrides:
  `loadClass` in class `ClassRealm`
Throws:
  `java.lang.ClassNotFoundException`

#### getResource

    public java.net.URL getResource​(java.lang.String name)

Deprecated.

Overrides:
  `getResource` in class `ClassRealm`

#### findResources

    public java.util.Enumeration findResources​(java.lang.String name)
                                        throws java.io.IOException

Deprecated.

Overrides:
  `findResources` in class `ClassRealm`
Throws:
  `java.io.IOException`

#### getResourceAsStream

    public java.io.InputStream getResourceAsStream​(java.lang.String name)

Deprecated.

Overrides:
  `getResourceAsStream` in class `java.net.URLClassLoader`

#### display

    public void display()

Deprecated.

Overrides:
  `display` in class `ClassRealm`

#### equals

    public boolean equals​(java.lang.Object o)

Deprecated.

Overrides:
  `equals` in class `java.lang.Object`